Get a single actor
curl --request GET \
--url https://api.hubapi.com/conversations/v3/conversations/actors/{actorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/conversations/v3/conversations/actors/{actorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/conversations/v3/conversations/actors/{actorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "AGENT",
"avatar": "<string>",
"email": "<string>",
"name": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Actors
Get a single actor
Retrieve details of a single actor using the actor ID.
GET
/
conversations
/
v3
/
conversations
/
actors
/
{actorId}
Get a single actor
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Last modified on March 30, 2026
Was this page helpful?
⌘I